
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_EDITMEDIAITEMDLG_H__FE5118BE_B21C_4ADA_B99A_CE78B2968652__INCLUDED_)
#define AFX_EDITMEDIAITEMDLG_H__FE5118BE_B21C_4ADA_B99A_CE78B2968652__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditMediaItemDlg.h : header file
//

#include "TopicListBox.h"

/////////////////////////////////////////////////////////////////////////////
// CEditMediaItemDlg dialog

class CEditMediaItemDlg : public CDialog
{
// Construction
public:
	CEditMediaItemDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEditMediaItemDlg)
	enum { IDD = IDD_EDIT_MEDIA_DLG };
	CComboBox		m_ctrlComboTypes;
	CString	m_mediaName;
	CString	m_mediaUrl;
	CButton	m_ctrlChkFavorites;
	CEdit	m_ctrlEditUrl;
	CEdit	m_ctrlEditName;
	BOOL	m_bFavorite;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditMediaItemDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnOK();
	//}}AFX_VIRTUAL
//	virtual void Dropped(int nSrcIndex, CPoint pt);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEditMediaItemDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Init
	void InitTypesCombo();

	// Types Combo.
	void SetComboTypesSel();
	MEDIA_TYPE GetComboTypesSelMediaType(); 

public:
	// Results handling - OnOK
	BOOL m_bFavsChange;
	BOOL m_bTitleUrlTypeChange;

	// Members - set by caller.
	CDsLavDoc * m_pDoc;
	CMediaItem m_mediaItem;
	CString m_dlgTitle;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITMEDIAITEMDLG_H__FE5118BE_B21C_4ADA_B99A_CE78B2968652__INCLUDED_)
